classification
Title: Create the urllib package
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: 3142 3316 Superseder:
Assigned To: jhylton Nosy List: barry, benjamin.peterson, brett.cannon, facundobatista, jhylton, orsenthil
Priority: critical Keywords:

Created on 2008-05-16 05:11 by brett.cannon, last changed 2008-08-06 19:08 by brett.cannon. This issue is now closed.

Messages (13)
msg66913 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 05:11
The urllib package as outlined in PEP 3108 needs to be created.
msg67930 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-10 21:32
Jeremy, will you have time for this before the betas on Wensday, or
should someone else do it?
msg68044 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-06-12 02:10
This didn't get done for the first beta.  Please try to do it asap after
the beta releases.
msg68048 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2008-06-12 02:50
I shall give it a try and come out with results asap. Shall take
Facundo's help (my GSoC mentor).
msg68300 - (view) Author: Jeremy Hylton (jhylton) Date: 2008-06-17 03:07
Oops.  Let me look at this tomorrow.  It was down to one failing test
that last time I checked.

Jeremy

On Wed, Jun 11, 2008 at 10:10 PM, Barry A. Warsaw
<report@bugs.python.org> wrote:
>
> Barry A. Warsaw <barry@python.org> added the comment:
>
> This didn't get done for the first beta.  Please try to do it asap after
> the beta releases.
>
> ----------
> nosy: +barry
> priority: release blocker -> critical
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2885>
> _______________________________________
> _______________________________________________
> Python-bugs-list mailing list
> Unsubscribe: http://mail.python.org/mailman/options/python-bugs-list/jeremy%40alum.mit.edu
>
>
msg68382 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-18 23:26
Seems this was done in r64385.
msg68383 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-06-18 23:38
It's actually not quite done yet since the docs still need to be updated.
msg68387 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-06-19 00:33
And I don't know if the proper additions to 2to3 and a warning in
urllib.urlopen() in 2.6 has been done (is urllib.urlopen() so different
from urllib2.urlopen() that the warning should be from any usage, or
only if incompatible arguments are used?).
msg68422 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-06-19 20:09
Just remember to close #3142 when you're done.
msg68608 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2008-06-23 04:45
- Docs updated.
- Still pending: 2to3 updates and Deprecation warnings.
msg69079 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-07-01 22:57
And it looks like the 2.6 docs need to be updated as well.
msg69597 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-07-12 19:55
Docs have been updated. At this point the fixers for urllib and urllib2
is all that is left.
msg70795 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-08-06 19:08
Fixers are in, so this is a done deal.
History
Date User Action Args
2008-08-06 19:21:59brett.cannonunlinkissue2775 dependencies
2008-08-06 19:08:58brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg70795
2008-07-13 22:42:59brett.cannonsetdependencies: + Proposal for fix_urllib
2008-07-12 19:55:12brett.cannonsetmessages: + msg69597
2008-07-01 22:57:27brett.cannonsetmessages: + msg69079
2008-06-23 04:45:04orsenthilsetmessages: + msg68608
2008-06-19 20:09:05benjamin.petersonsetdependencies: + urllib docs don't match the new modules
messages: + msg68422
2008-06-19 00:33:47brett.cannonsetmessages: + msg68387
2008-06-18 23:38:52brett.cannonlinkissue2775 dependencies
2008-06-18 23:38:12brett.cannonsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg68383
2008-06-18 23:27:41benjamin.petersonunlinkissue2775 dependencies
2008-06-18 23:26:21benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg68382
2008-06-17 03:08:09jhyltonsetmessages: + msg68300
2008-06-12 02:50:59orsenthilsetnosy: + orsenthil
messages: + msg68048
2008-06-12 02:10:15barrysetpriority: release blocker -> critical
nosy: + barry
messages: + msg68044
2008-06-10 21:32:13benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg67930
2008-05-16 16:08:30facundobatistasetnosy: + facundobatista
2008-05-16 05:12:21brett.cannonsetmessages: - msg66914
2008-05-16 05:12:16brett.cannonsetmessages: + msg66914
2008-05-16 05:11:46brett.cannonlinkissue2775 dependencies
2008-05-16 05:11:30brett.cannoncreate